Bug 465500 - glxinfo and glxgears don't work. possible SELinux problem
glxinfo and glxgears don't work. possible SELinux problem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 12:03 EDT by Dawid Pietrala
Modified: 2008-10-09 17:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 17:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux alert (in Polish) (2.48 KB, text/plain)
2008-10-03 12:03 EDT, Dawid Pietrala
no flags Details

  None (edit)
Description Dawid Pietrala 2008-10-03 12:03:38 EDT
Created attachment 319387 [details]
SELinux alert (in Polish) 


Description of problem:

when i run glxinfo, i get:

glxinfo: error while loading shared libraries: libGL.so.1: failed to map segment from shared object: Permission denied

and SELinux alert (attached).

Steps to Reproduce:

run glxinfo or glxgears

Additional info:

04:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)

it happens both on nouveau and kmod-nvidia
Comment 1 Matěj Cepl 2008-10-06 19:04:45 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

nvidia binary-only driver changes a lot of internal parts of X (including libGL library), please clear your system before preparing the below-shown reports (https://fedoraproject.org/wiki/Xorg/3rd_Party_Video_Drivers).

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Dawid Pietrala 2008-10-09 15:11:08 EDT
after last update it started to work well. thank you!
Comment 3 Matěj Cepl 2008-10-09 17:36:51 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.